https://your-domain.atlassian.net/rest/api/3/project/{projectIdOrKey}/role/{id}Deletes actors from a project role for the project. To remove default actors from the project role, use Delete default actors from project role. This operation can be accessed anonymously. **Permissions required:** *Administer Projects* project permission for the project or *Administer Jira* global permission.
The project ID or project key (case sensitive).
The ID of the project role. Use [Get all project roles](#api-rest-api-3-role-get) to get a list of project role IDs.
The user account ID of the user to remove from the project role.
The name of the group to remove from the project role. This parameter cannot be used with the `groupId` parameter. As a group's name can change, use of `groupId` is recommended.
The ID of the group to remove from the project role. This parameter cannot be used with the `group` parameter.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request DELETE \2 --url 'https://your-domain.atlassian.net/rest/api/3/project/{projectIdOrKey}/role/{id}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://your-domain.atlassian.net/rest/api/3/project/{projectIdOrKey}/role/{id}Deletes actors from a project role for the project. To remove default actors from the project role, use Delete default actors from project role. This operation can be accessed anonymously. **Permissions required:** *Administer Projects* project permission for the project or *Administer Jira* global permission.
The project ID or project key (case sensitive).
The ID of the project role. Use [Get all project roles](#api-rest-api-3-role-get) to get a list of project role IDs.
The user account ID of the user to remove from the project role.
The name of the group to remove from the project role. This parameter cannot be used with the `groupId` parameter. As a group's name can change, use of `groupId` is recommended.
The ID of the group to remove from the project role. This parameter cannot be used with the `group` parameter.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request DELETE \2 --url 'https://your-domain.atlassian.net/rest/api/3/project/{projectIdOrKey}/role/{id}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}